package com.clx.performance.service.thirdparty.nbbank;

import com.alibaba.fastjson.JSONObject;
import com.nbopen.api.SDKRequest;
import com.nbopen.api.SDKResponse;

public interface NbBankThirdpartyService {

    JSONObject directBankTransferOrder(String merSeqNo, String merDtTm, Integer amount);

    JSONObject unionPayDirectOrder(String merSeqNo, String merDtTm, Integer amount,
                                   String payAcctOpenBankId, String payAcctNo, String payAcctNm);

    JSONObject queryOrder(String orgMerSeqNo);

    JSONObject fundTransferOrder(String orgMerSeqNo, String merDtTm,
                                 Integer trxAmt,
                                 String customerId, String payCustomerId);

    JSONObject refund(String merSeqNo, String merDtTm, Integer amount,
                      String orgMerSeqNo, String coreSeqNo);

    void recordSave(Integer type, SDKRequest request, SDKResponse response);

}
